Bug 71034 - Remove need for virtual JSObject::unwrappedObject
: Remove need for virtual JSObject::unwrappedObject
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 70960
  Show dependency treegraph
 
Reported: 2011-10-27 10:48 PST by
Modified: 2011-10-31 16:46 PST (History)


Attachments
Patch (25.27 KB, patch)
2011-10-27 13:09 PST, Sam Weinig
no flags Review Patch | Details | Formatted Diff | Diff
Patch (26.64 KB, patch)
2011-10-30 12:12 PST, Sam Weinig
no flags Review Patch | Details | Formatted Diff | Diff
Patch (26.89 KB, patch)
2011-10-30 13:17 PST, Sam Weinig
ggaren: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-27 10:48:57 PST
Remove need for virtual JSObject::unwrappedObject
------- Comment #1 From 2011-10-27 13:09:37 PST -------
Created an attachment (id=112738) [details]
Patch
------- Comment #2 From 2011-10-30 12:12:03 PST -------
Created an attachment (id=112996) [details]
Patch
------- Comment #3 From 2011-10-30 13:17:20 PST -------
Created an attachment (id=113000) [details]
Patch
------- Comment #4 From 2011-10-30 16:35:14 PST -------
(From update of attachment 113000 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=113000&action=review

> Source/JavaScriptCore/runtime/JSGlobalThis.cpp:33
> +ASSERT_CLASS_FITS_IN_CELL(JSGlobalThis);

Is this needed, now that the GC can allocate things of any size?
------- Comment #5 From 2011-10-30 18:13:55 PST -------
(In reply to comment #4)
> (From update of attachment 113000 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=113000&action=review
> 
> > Source/JavaScriptCore/runtime/JSGlobalThis.cpp:33
> > +ASSERT_CLASS_FITS_IN_CELL(JSGlobalThis);
> 
> Is this needed, now that the GC can allocate things of any size?

I don't know, I moved it from JSDOMWindowShell. If it isn't, should we remove all of them?
------- Comment #6 From 2011-10-30 18:25:37 PST -------
(From update of attachment 113000 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=113000&action=review

r=me

> Source/JavaScriptCore/runtime/JSGlobalThis.h:51
> +    JSObject* unwrappedObject();

Please make this return JSGlobalObject*, since it's not the case that we're capable of wrapping any kind of JSObject.

> Source/JavaScriptCore/runtime/JSGlobalThis.h:68
> +    WriteBarrier<JSGlobalObject> m_globalVariables;

Please change this name to match its accessor ("unwrappedObject()").
------- Comment #7 From 2011-10-31 16:44:03 PST -------
Committed r98909: <http://trac.webkit.org/changeset/98909>